Skip to main content

List all transactions data

GET 

/api/transactions

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

List all transactions data. If no parameter is set, it will automatically select today’s date

 *     as the search parameter.

Request

Query Parameters

    start_date string

    Filter by created at start date

    end_date string

    Filter by created at end date

    transaction_type string

    Possible values: [transaction, withdraw, returned, refund]

    Filter by transaction type.

    page string

    Filter by page number

    limit string

    Limit numbers of itens by page

Responses

Successful operation

Schema
    data object[]

    Array of transactions data)

  • Array [
  • anyOf
    transaction_uuid transaction_uuid (string)

    Reference of the QrCode for conciliation

    status status (string)

    Possible values: [pending, paid, paid_by_third_party, failed, awaiting, payment rejected, paid_without_qrcode, refund_received]

     When column transaction_type has value TRANSACTION:
    paid: deposit received and approved
    failed: failed to generate a QrCode
    pending: qrCode has yet to be paid
    paid_by_third_party: deposit received but rejected and will be refunded since it came from a third-party payer
    payment rejected: deposit received but rejected and will be refunded due business rules
    paid_without_qrcode: deposit received but rejected and will be refunded since it's not linked to a QrCode


    When column transaction_type has value WITHDRAW:
    paid: withdrawal approved and completed
    failed: withdrawal failed either due to business rules or could no be completed
    pending: withdrawal is pending its final status

    When column transaction_type has value REFUND:
    paid: refund approved and completed
    failed: refund failed either due to business rules or could no be completed
    pending: refund is pending its final status
    awaiting: refund is in the queue
    transaction_type transaction_type (string)

    Possible values: [transaction, withdraw, refund]

    Transaction type

    value value (string)

    Transaction value

    client_document cpf_cnpj (string)

    Document of the person who paid or received (CPF or CNPJ)

    created_at created_at (string)

    Date when the transaction was created

    merchant_id merchant_id (string)

    Merchant's ID for conciliation

  • ]
  • links object

    Links

    first first (string)

    Show first page link

    last last (string)

    Show last page link

    prev prev (string)

    Show previous page link

    next next (string)

    Show next page link

    meta object

    Links

    current_page current_page (integer)

    Current page number

    from from (integer)

    From page number

    last_page last_page (integer)

    Last page number

    links object[]

    Array of links to navigate the pages

  • Array [
  • anyOf
    url url (string)required

    url

    label label (string)required

    label

    active active (boolean)required

    active

  • ]
  • path path (string)

    Pagination path

    per_page per_page (integer)

    Pagination per_page number of items

    to to (integer)

    Pagination to page

    total total (integer)

    Total number of items per page

Loading...